package net.sf.jbg.mojo;

import java.io.File;

import net.sf.xsltmp.ManyToDynamicMojo;

import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;

public abstract class BeansBase extends JbgMojoBase {

	public void execute() throws MojoExecutionException, MojoFailureException {
		ManyToDynamicMojo mojo;
		mojo = createMojo();
		mojo.setXslTemplate("generator/jbg/Beans.xsl");
		mojo.setAddDestDirTo(getAddDestDirTo());
		mojo.execute();

		mojo = createMojo();
		mojo.setXslTemplate("generator/jbg/BeanInfo.xsl");
		mojo.execute();
	}

	private ManyToDynamicMojo createMojo() {
		ManyToDynamicMojo mojo = new ManyToDynamicMojo();
		initMojo(mojo);

		mojo.setSrcDir(getSrcDir());
		mojo.setDestDir(getDestDir());
		return mojo;
	}

	protected abstract String getAddDestDirTo();

	protected abstract File getSrcDir();

	protected abstract File getDestDir();

}
