package net.sf.jbg.mojo;

import java.io.File;

/**
 * Generate JavaBeans sources.
 * 
 * @goal beans
 * @phase generate-sources
 * @requiresDependencyResolution compile
 */
public class BeansMojo extends BeansBase {

	/**
	 * The source directory. The source files are read from here.
	 * 
	 * @parameter default-value="${project.basedir}/src/main/gen-config"
	 * @required
	 */
	private File srcDir;

	/**
	 * The destination directory. The output files are written based on this
	 * directory.
	 * 
	 * @parameter 
	 *            default-value="${project.build.directory}/generated-sources/jbg"
	 * @required
	 */
	private File destDir;

	/**
	 * Where should the directory with generated sources be added to. Valid
	 * values are: sources, test-sources.
	 * 
	 * @parameter default-value="sources"
	 * @required
	 */
	private String addDestDirTo;

	public File getSrcDir() {
		return srcDir;
	}

	public void setSrcDir(File srcDir) {
		this.srcDir = srcDir;
	}

	public File getDestDir() {
		return destDir;
	}

	public void setDestDir(File destDir) {
		this.destDir = destDir;
	}

	protected String getAddDestDirTo() {
		return addDestDirTo;
	}

	public void setAddDestDirTo(String addDestDirTo) {
		this.addDestDirTo = addDestDirTo;
	}

}
