package net.sf.jbg.mojo;

import org.apache.maven.plugin.AbstractMojo;
import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;
import org.apache.maven.project.MavenProject;

/**
 * Initializes the XSLT generator at the start of the build. Calls initialize on
 * xslt generator maven plugin.
 * 
 * @goal initialize
 * @phase initialize
 */
public class InitializeMojo extends AbstractMojo {

	/**
	 * The Maven project model.
	 * 
	 * @parameter expression="${project}"
	 * @required
	 * @readonly
	 */
	private MavenProject project;

	public void execute() throws MojoExecutionException, MojoFailureException {
		net.sf.xsltmp.InitializeMojo mojo;
		mojo = new net.sf.xsltmp.InitializeMojo();
		mojo.setProject(this.project);
		mojo.setLog(getLog());
		mojo.execute();
	}

}
