package net.sf.jbg.mojo;

import java.io.File;

import net.sf.xsltmp.ManyToManyMojo;

import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;

public abstract class ReportBase extends JbgMojoBase {

	/**
	 * The destination directory. The output files are written based on this
	 * directory.
	 * 
	 * @parameter default-value="${project.build.directory}/site/jbg"
	 * @required
	 */
	private File destDir;

	public void execute() throws MojoExecutionException, MojoFailureException {
		ManyToManyMojo mojo = new ManyToManyMojo();
		initMojo(mojo);

		mojo.setXslTemplate("generator/jbg/Report.xsl");
		mojo.setSrcDir(getSrcDir());
		mojo.setDestDir(this.destDir);
		mojo.setFileNameRegex("\\.xml");
		mojo.setFileNameReplacement("\\.html");
		mojo.setForce(true);

		mojo.execute();
	}

	protected abstract File getSrcDir();

}
